
#ifndef _CPUMON_SETUP_H_
#define _CPUMON_SETUP_H_

#include <vdr/plugin.h>
#include "i18n.h"
#include "parms.h"

class cCpuMonSetup : public cMenuSetupPage
{
private:
  int new_polling,
      new_pi_unit,
      new_d_mode;
  cParameters *parms;
      
protected:
  virtual void Store(void);
  
public:
  cCpuMonSetup(cParameters *p);
  ~cCpuMonSetup(void);  
};

#endif
